Project

General

Profile

lar-externals

back to Lynn's notes

lar-externals-1.0.0 released Aug. 16, 2010

Brian Rebel has requested several packages that are not required by Mu2e.
This will be a new externals package, lar-externals, built for 64bit SLF5.
  • CRY
  • Built 1.5
  • Has no dependencies
  • lhapdf
  • Built lhapdf and pdfsets 5.8.4
  • lhapdf depends on python and pdfsets
  • libxml2
  • LARSoft requires 2.7.6 or greater
  • Built 2.7.7
  • The build looks for python 2.4, so add that as a dependency
  • log4cpp
  • Built 1.0
  • pythia
  • Built 6.4.23
  • GENIE
  • depends on pythia6, lhapdf, libxml2, log4cpp, and root
  • built R2.6.0
  • FFTW (and ROOT needs to be built knowing where to find the FFTW libs and includes)
  • Paul Russo builds root with FFTW and several other libraries linked statically
  • The problem here is that the framework needs a slightly different build of root
  • Built 3.2.2 with shared libraries
  • root v5_18_00f
  • rebuilt with FFTW and geant4 support
  • geant4 v4_9_3_p01 g77-OpenGL-GDML
  • Mu2e will also use this, even though they do not need GDML
  • adds dependency on xerces_c v3_1_1
  • framework
  • build framework v1_0_2 with the newer build of root

LAR has been using python 2.4.6, but they don't really care.
LAR has also been using root 5.26, but the framework EDM is only certified with root 5.18.

Packages in lar-externals-1.0.0:
  • "boost" "v1_34_1"
  • "clhep" "v2_0_4_6"
  • "clhepsource" "v2_0_4_6"
  • "cmake" "v2_6_4" "current"
  • "cppunit" "v1_12_1"
  • "cry" "v1_5"
  • "fftw" "v3_2_2"
  • "framework" "v1_0_1a"
  • "fw_externals" "v0_4_1"
  • "gccxml" "v0_7"
  • "genie" "v2_6_0"
  • "lhapdf" "v5_8_4"
  • "libsigcpp" "v2_2_7"
  • "libxml2" "v2_7_7"
  • "log4cpp" "v1_0"
  • "pdfsets" "v5_8_4"
  • "pythia" "v6_423"
  • "python" "v2_4_2a"
  • "root" "v5_18_00f" "GCC_4_1_2"
  • "scons" "v1_3_0a" "current"
  • "upd" "v4_7_4a" "current"
  • "ups" "v4_8_0" "current"
Packages currently in rlu-externals-1.0.2
  • "boost" "v1_34_1"
  • depends on python
  • "clhep" "v2_0_4_6"
  • "clhepsource" "v2_0_4_6"
  • "cmake" "v2_6_4"
  • "cppunit" "v1_12_1"
  • "framework" "v1_0_1"
  • depends on fw_externals
  • "fw_externals" "v0_4_1"
  • depends on cmake, scons, cppunit, gccxml, libsigcpp, boost, clhep, root
  • "g4abla" "v3_0"
  • "g4emlow" "v6_2"
  • "g4neutron" "v3_13a"
  • "g4photon" "v2_0"
  • "g4radiative" "v3_2"
  • "g4surface" "v1_0"
  • "gccxml" "v0_7"
  • "geant4" "v4_9_3_p01" "g77-OpenGL"
  • depends on clhep
  • "geant4source" "v4_9_3_p01" "g77"
  • "heppdt" "v3_04_01"
  • "libsigcpp" "v2_2_7"
  • "python" "v2_4_2a"
  • "root" "v5_18_00f" "GCC_3_4_6"
  • "scons" "v1_3_0a"
  • depends on python
  • "upd" "v4_7_4a"
  • "ups" "v4_8_0"
  • rlu_scripts